---
lang: en
title: 'API docs: context.globalinterceptor'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.globalinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [globalInterceptor](./context.globalinterceptor.md)

## globalInterceptor() function

`@globalInterceptor` decorator to mark the class as a global interceptor

<b>Signature:</b>

```typescript
export declare function globalInterceptor(group?: string, ...specs: BindingSpec[]): ClassDecorator;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  group | <code>string</code> | Group for ordering the interceptor |
|  specs | <code>BindingSpec[]</code> | Extra binding specs |

<b>Returns:</b>

`ClassDecorator`


